<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'ebuy',

    /*
     * Package.
     */
    'package'   => 'category',

    /*
     * Modules.
     */
    'modules'   => ['category'],

    
    'category'       => [
        'model' => [
            'model' => \Ebuy\Category\Models\Category::class,
            'repository' => \Ebuy\Category\Repositories\Eloquent\CategoryRepository::class,
            'table' => 'categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name'],
            'translatables' => [],
            'upload_folder' => 'category/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Ebuy',
            'package' => 'Category',
            'module' => 'Category',
        ],
    ],
];
